namespace Syntriax.Engine.Physics2D.Abstract;

/// <summary>
/// Represents a 2D collision resolver.
/// </summary>
public interface ICollisionResolver2D
{
    /// <summary>
    /// Resolves collisions based on collision detection information provided.
    /// </summary>
    /// <param name="collisionInformation">Information about the collision.</param>
    void Resolve(CollisionDetectionInformation collisionInformation);
}
